apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: postgres-exporter
  namespace: postgres-exporter
spec:
  interval: 5m
  timeout: 10m
  chart:
    spec:
      version: 0.0.2-prod
  values:
    image:
      name: cr.yandex/crp3ccidau046kdj8g9q/postgres-exporter:preprod_21350302
      pullPolicy: IfNotPresent
      pullSecrets:
        - dockerhub
    serviceMonitor:
      enabled: true
      namespace: postgres-exporter
    config:
      datasource:
        host: sarex-vpsql-01.xc.wb.ru
        user: postgres
        port: '5432'
        database: postgres
        sslmode: disable
    datasources:
    - name: attachments
      uri: sarex-vpsql-01.xc.wb.ru:5432/attachments_db?sslmode=disable
    - name: bim
      uri: sarex-vpsql-01.xc.wb.ru:5432/bim_db?sslmode=disable
    - name: checklists
      uri: sarex-vpsql-01.xc.wb.ru:5432/checklists_db?sslmode=disable
    - name: contracts
      uri: sarex-vpsql-01.xc.wb.ru:5432/contracts_db?sslmode=disable
    - name: documentations
      uri: sarex-vpsql-01.xc.wb.ru:5432/documentations_db?sslmode=disable
    - name: drawings
      uri: sarex-vpsql-01.xc.wb.ru:5432/drawings_db?sslmode=disable
    - name: eav
      uri: sarex-vpsql-01.xc.wb.ru:5432/eav_db?sslmode=disable
    - name: flows
      uri: sarex-vpsql-01.xc.wb.ru:5432/flows_db?sslmode=disable
    - name: glitchtip
      uri: sarex-vpsql-01.xc.wb.ru:5432/glitchtip?sslmode=disable
    - name: inspections
      uri: sarex-vpsql-01.xc.wb.ru:5432/inspections_db?sslmode=disable
    - name: issues
      uri: sarex-vpsql-01.xc.wb.ru:5432/issues_db?sslmode=disable
    - name: openobserve
      uri: sarex-vpsql-01.xc.wb.ru:5432/openobserve?sslmode=disable
    - name: pm
      uri: sarex-vpsql-01.xc.wb.ru:5432/pm_db?sslmode=disable
    - name: postgres
      uri: sarex-vpsql-01.xc.wb.ru:5432/postgres?sslmode=disable
    - name: resources
      uri: sarex-vpsql-01.xc.wb.ru:5432/resources_db?sslmode=disable
    - name: rfi
      uri: sarex-vpsql-01.xc.wb.ru:5432/rfi_db?sslmode=disable
    - name: sarex
      uri: sarex-vpsql-01.xc.wb.ru:5432/sarex_db?sslmode=disable
    - name: subscriptions
      uri: sarex-vpsql-01.xc.wb.ru:5432/subscriptions_db?sslmode=disable
    - name: system-log
      uri: sarex-vpsql-01.xc.wb.ru:5432/system_log_db?sslmode=disable
    - name: transmittal
      uri: sarex-vpsql-01.xc.wb.ru:5432/transmittal_db?sslmode=disable
    - name: workflows
      uri: sarex-vpsql-01.xc.wb.ru:5432/workflows_db?sslmode=disable
    - name: workspaces
      uri: sarex-vpsql-01.xc.wb.ru:5432/workspaces_db?sslmode=disable
    - name: zitadel
      uri: sarex-vpsql-01.xc.wb.ru:5432/zitadel?sslmode=disable
